<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'dataplus', language 'en', version '2.0'.
 *
 * @package     dataplus
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['Alttag'] = 'Alt tag';
$string['actionfailed'] = 'Action failed';
$string['actions'] = 'Actions';
$string['add'] = 'Add';
$string['addactionstocomment'] = 'Add actions to your comment template';
$string['addactionstorecord'] = 'Add actions to your record';
$string['addadditionaltocomment'] = 'Add additional information to your comment template';
$string['addadditionaltorecord'] = 'Add additional information to your record';
$string['addcomment'] = 'Add comment';
$string['addfields'] = 'Add to your database';
$string['addfieldstorecord'] = 'Add fields to your record';
$string['addinfo'] = 'Add additional information to your record';
$string['addrecord'] = 'Add record';
$string['addrecordfunctions'] = 'Add record functions';
$string['addrecordtablabel'] = 'Add record tab label';
$string['addrecordtabvisible'] = 'Add record tab visible';
$string['advancedsearch'] = 'Advanced search';
$string['allowcomments'] = 'Allow comments';
$string['allowcomments_help'] = 'Allow users to leave comments on records from the database via the \'view single\' screen.';
$string['allowmultiple'] = 'Allow multiple selections';
$string['alttag'] = 'alt tag';
$string['amendsearch'] = 'Amend search';
$string['ascending'] = 'ascending';
$string['availablefromdate'] = 'Available from';
$string['availablepast'] = 'Sorry, this activity stopped being available on {$a}';
$string['availabletodate'] = 'Available to';
$string['availableyet'] = 'Sorry, this activity is not available until {$a}';
$string['before'] = 'before';
$string['boo_ignore'] = 'ignore';
$string['capablilty_delete_database'] = 'Sorry, your account does not have the required capabilities to delete records from the database.';
$string['capablilty_delete_record'] = 'Sorry, your account does not have the required capabilities to delete this record.';
$string['capablilty_edit_record'] = 'Sorry, your account does not have the required capabilities to edit this record.';
$string['capablilty_edit_template'] = 'Sorry, your account does not have the required capabilities to edit templates.';
$string['capablilty_insert_database'] = 'Sorry, your account does not have the required capabilities to add or edit database records.';
$string['capablilty_manage_database'] = 'Sorry, your account does not have the required capabilities to manage the database.';
$string['capablilty_view_database'] = 'Sorry, your account does not have the required capabilities to view records.';
$string['cleardatacancelled'] = 'Clear data has been cancelled.';
$string['cleardatadone'] = 'All has been data cleared from the database.';
$string['cleardatafailed'] = 'Data clearance has failed.';
$string['cleardatawarning'] = 'Clicking this button clears all database records but leaves the data structure intact.  This action cannot be reversed and should not be used without making a backup of this module content first (either with the duplicate or export options).';
$string['comment'] = 'Comment';
$string['comments'] = 'Comments';
$string['confirmcleardata'] = 'Confirm clear data';
$string['confirmdelete'] = 'Confirm deletion';
$string['contains'] = 'contains';
$string['created'] = 'Created';
$string['creator'] = 'Creator';
$string['creatorid'] = 'Creator id';
$string['css'] = 'CSS template';
$string['css_hide'] = 'Hide CSS';
$string['css_show'] = 'Show CSS';
$string['database'] = 'Database';
$string['databasenotsetup'] = 'This database has not yet been setup.';
$string['databasesetup'] = 'Setup database';
$string['dataplus:databaseedit'] = 'Edit database structure';
$string['dataplus:dataeditothers'] = 'Edit others database records';
$string['dataplus:dataeditown'] = 'Edit own database records';
$string['dataplus:downloadfull'] = 'Download database';
$string['dataplus:view'] = 'View database';
$string['dbempty'] = 'This database is currently empty.';
$string['dbnotfound'] = 'The record specified was not found.';
$string['delete'] = 'delete';
$string['deletecomment'] = 'Delete Comment';
$string['deleterecord'] = 'Delete Record';
$string['descending'] = 'descending';
$string['disable_editor'] = 'Disable editor';
$string['downloadcsv'] = 'Download in CSV format';
$string['downloadcsvhelp'] = 'Compatible with Microsoft Excel, Microsoft Access, StarOffice, etc.';
$string['downloaddb'] = 'Download SQLite database';
$string['downloaddbhelp'] = 'Compatible with freely available SQLite Manager for Firefox, SQLiteTool, etc.';
$string['downloadfulldb'] = 'Download fully compatible DataPlus database';
$string['downloadfulldbhelp'] = 'Suitable for importing into another instance of DataPlus.  May contain identifiable student information.';
$string['edit'] = 'edit';
$string['editfield'] = 'Edit field';
$string['editrecord'] = 'Edit record';
$string['enable_editor'] = 'Enable editor';
$string['equals'] = 'equals';
$string['export'] = 'Export';
$string['exportdb'] = 'Export Database';
$string['exporttablabel'] = 'Export tab label';
$string['exporttabvisible'] = 'Export tab visible';
$string['false'] = 'false';
$string['field_boolean'] = 'True / false';
$string['field_date'] = 'Date';
$string['field_datetime'] = 'Date / time';
$string['field_file'] = 'File';
$string['field_image'] = 'Image';
$string['field_longtext'] = 'Text (multiple lines)';
$string['field_menu'] = 'Menu';
$string['field_menumultiple'] = 'Menu (multiple selections)';
$string['field_menusingle'] = 'Menu (single selection)';
$string['field_number'] = 'Number';
$string['field_smalltext'] = 'Text (one line)';
$string['field_url'] = 'URL';
$string['fielddelete'] = 'Delete Field';
$string['fielddeleted'] = 'Field deleted successfully.';
$string['fieldedited'] = 'Field edited successfully.';
$string['fieldname'] = 'Field name';
$string['fieldtype'] = 'Field type';
$string['first'] = 'first';
$string['footer'] = 'Footer';
$string['greaterthan'] = 'greater than';
$string['group'] = 'Group';
$string['group_delete_record'] = 'Sorry, you\'re not in the correct group to delete this record.';
$string['group_edit_record'] = 'Sorry, you\'re not in the correct group to edit this record.';
$string['groupid'] = 'Group id';
$string['groupmember'] = 'Sorry, you are not a member of the necessary group to perform this function or the group mode has been incorrectly set.';
$string['header'] = 'Header';
$string['id'] = 'Record id';
$string['import'] = 'Import';
$string['importcomplete'] = 'Import complete.  Database available for use.';
$string['importdb'] = 'Import DataPlus Database';
$string['importremovegroup'] = 'Remove group settings <em>(Note: existing group settings maybe incompatible with groups set up in this course)</em>';
$string['importwarning'] = '<em>Warning:</em> Imported databases must be SQLite3 compatible and have a DataPlus compatible table structure.  Any data in this instance of DataPlus will be lost.';
$string['intro'] = 'Introduction';
$string['javascript'] = 'Javascript template';
$string['javascript_hide'] = 'Hide Javascript';
$string['javascript_show'] = 'Show Javascript';
$string['jsinit'] = 'Javascript functions to run when page loads (leave blank if unsure)';
$string['label'] = 'label';
$string['labelexists'] = 'A field with that label already exists, please amend it';
$string['last'] = 'last';
$string['lessthan'] = 'less than';
$string['listperpage'] = 'Number of records per page';
$string['listperpage_help'] = 'Set the number of records to display in a list template and disable the menu to enable the use to do this.';
$string['lockerror'] = 'Database could not be locked.  Action cancelled.';
$string['manage_cleardata'] = 'Clear data';
$string['manage_manage'] = 'Manage';
$string['maxentries'] = 'Maximum records';
$string['maxentries_help'] = 'The maximum number of records the database can contain.';
$string['maxentriesperuser'] = 'Maximum records per user';
$string['maxentriesperuser_help'] = 'The maximum number of records a user can enter into the database.';
$string['maxentriesreached'] = 'Only {$a} records maybe added to this database.  This limit has been reached.  No more records maybe added.';
$string['modulename'] = 'DataPlus';
$string['modulenameplural'] = 'Course databases';
$string['more'] = 'more';
$string['na'] = 'NA';
$string['navigationlimit'] = 'Navigation limit';
$string['navigationlimit_help'] = 'The maximum number of navigation links that can appear in the header or footer on a screen generated through a view.';
$string['next'] = 'next';
$string['none'] = 'none';
$string['numnotapproved'] = 'Pending';
$string['options'] = 'Options - one per line';
$string['pluginadministration'] = 'DataPlus administration';
$string['pluginname'] = 'DataPlus';
$string['previous'] = 'previous';
$string['record'] = 'Record';
$string['record_count'] = 'Record count';
$string['record_navigation'] = 'Record navigation';
$string['record_no'] = 'Record number';
$string['recordadded'] = 'Record added.  Add another...';
$string['recordcount'] = 'records {$a->start} - {$a->end} of {$a->total}';
$string['recordcountsingle'] = 'record {$a->start} of {$a->end}';
$string['recorddeleted'] = 'Record deleted successfully.';
$string['requiredentries'] = 'Required records';
$string['requiredentries_help'] = 'The number of records a participant is required to submit.  Users will see a reminder message displayed while viewing if they have not submitted the required number of records. The activity will not be considered complete until the user has submitted the required number of records.';
$string['requiredentriesreminder'] = 'You are required to create {$a->total} records in the database to complete this exercise.  So far you have created {$a->created} records.';
$string['requiredentriestoview'] = 'Records required before viewing';
$string['requiredentriestoview_help'] = 'The number of records a participant is required to submit before they are allowed to view
   any records in this database activity.';
$string['requiredentriestoviewdone'] = 'You have entered {$a} records in the database.  You may now view records.';
$string['requiredentriestoviewreminder'] = 'You are required to create {$a->total} records in the database before viewing records in the database.  So far you have created {$a->created} records.';
$string['resettemplate'] = 'Reset template';
$string['returntofields'] = 'Return to fields list';
$string['samename'] = 'A field already exists with the same, or a very similar, name.  Please alter the field name and try again.';
$string['savebuttonlabel'] = 'Save button label';
$string['savebuttonlabel_help'] = 'The text on the submit button for saving your entry to the database.';
$string['search'] = 'Search';
$string['searchempty'] = 'Your search return no results';
$string['searchtablabel'] = 'Search tab label';
$string['searchtabvisible'] = 'Search tab visible';
$string['simplesearch'] = 'Simple search';
$string['since'] = 'since';
$string['single_record'] = 'Single record';
$string['singlerecordtablabel'] = 'Single record tab label';
$string['singlerecordtabvisible'] = 'Single record tab visible';
$string['size'] = 'Size';
$string['sort'] = 'Sort';
$string['sort1'] = 'Sort level 1';
$string['sort2'] = 'Sort level 2';
$string['sort3'] = 'Sort level 3';
$string['sortorder'] = 'Sort order';
$string['suppdesc'] = '{$a} descriptor';
$string['tablabel'] = 'Tab label';
$string['tablabel_help'] = 'Specifies the label used for this tab and the module navigation.';
$string['tabvisible'] = 'Tab visible';
$string['tabvisible_help'] = 'Specifies whether this tab should be visible to students and teachers.  Note that previous student and teacher settings can override this setting.';
$string['templates'] = 'Templates';
$string['templates_addrecord'] = 'Add/edit record template';
$string['templates_single'] = 'Single record template';
$string['templates_view'] = 'View template';
$string['templateupdated'] = 'Template updated';
$string['templateupdatednot'] = 'A problem has occurred.  The template was not updated.';
$string['true'] = 'true';
$string['twosame'] = 'Two or more fields have the same label.  Labels must be unique.  Please amend this before proceeding.';
$string['unlimited'] = 'unlimited';
$string['updated'] = 'Updated';
$string['updater'] = 'Updater';
$string['updaterid'] = 'Updater id';
$string['usercompleted_deleted'] = 'Number of record deleted: {$a}';
$string['usercompleted_insert'] = 'Number of record created: {$a}';
$string['usercompleted_updated'] = 'Number of record updated: {$a}';
$string['usercompleted_view'] = 'Number of record viewed: {$a}';
$string['useroutline_createcolumn'] = 'Number of new fields created:';
$string['useroutline_delete'] = 'Number of records deleted:';
$string['useroutline_deletecolumn'] = 'Number of fields deleted:';
$string['useroutline_editcolumn'] = 'Number of fields edited:';
$string['useroutline_insert'] = 'Number of new records created:';
$string['useroutline_noactivity'] = 'No activity found for this user.';
$string['useroutline_search'] = 'Number of searches:';
$string['useroutline_templatesaved'] = 'Number of time a template has been updated:';
$string['useroutline_update'] = 'Number of records updated:';
$string['useroutline_view'] = 'Number of record views:';
$string['validate_file_suffix'] = 'Upload failed - File must be of the type zip.';
$string['validate_no_db'] = 'Upload failed - no database found in zip file.';
$string['validate_table_column'] = 'Database validation failed - column table does not exist.';
$string['validate_table_content'] = 'Database validation failed - content table does not exist.';
$string['validate_table_supportinginfo'] = 'Database validation failed - supportinginfo table does not exist.';
$string['validate_table_templates'] = 'Database validation failed - templates table does not exist.';
$string['validate_toomanytables'] = 'Database validation failed  - the database uploaded contains too many tables to be used in Database 2';
$string['view'] = 'View';
$string['viewdb'] = 'View database';
$string['viewfromdate'] = 'Viewable from';
$string['viewtablabel'] = 'View tab label';
$string['viewtabvisible'] = 'View tab visible';
$string['viewtodate'] = 'Viewable to';
